package com.ruoyi.bar.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bar.mapper.WyBarRoleMenuMapper;
import com.ruoyi.bar.domain.WyBarRoleMenu;
import com.ruoyi.bar.service.IWyBarRoleMenuService;

/**
 * 品牌方角色和菜单关联Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-04
 */
@Service
public class WyBarRoleMenuServiceImpl implements IWyBarRoleMenuService 
{
    @Autowired
    private WyBarRoleMenuMapper wyBarRoleMenuMapper;

    /**
     * 查询品牌方角色和菜单关联
     * 
     * @param roleId 品牌方角色和菜单关联主键
     * @return 品牌方角色和菜单关联
     */
    @Override
    public WyBarRoleMenu selectWyBarRoleMenuByRoleId(Long roleId)
    {
        return wyBarRoleMenuMapper.selectWyBarRoleMenuByRoleId(roleId);
    }

    /**
     * 查询品牌方角色和菜单关联列表
     * 
     * @param wyBarRoleMenu 品牌方角色和菜单关联
     * @return 品牌方角色和菜单关联
     */
    @Override
    public List<WyBarRoleMenu> selectWyBarRoleMenuList(WyBarRoleMenu wyBarRoleMenu)
    {
        return wyBarRoleMenuMapper.selectWyBarRoleMenuList(wyBarRoleMenu);
    }

    /**
     * 新增品牌方角色和菜单关联
     * 
     * @param wyBarRoleMenu 品牌方角色和菜单关联
     * @return 结果
     */
    @Override
    public int insertWyBarRoleMenu(WyBarRoleMenu wyBarRoleMenu)
    {
        return wyBarRoleMenuMapper.insertWyBarRoleMenu(wyBarRoleMenu);
    }

    /**
     * 修改品牌方角色和菜单关联
     * 
     * @param wyBarRoleMenu 品牌方角色和菜单关联
     * @return 结果
     */
    @Override
    public int updateWyBarRoleMenu(WyBarRoleMenu wyBarRoleMenu)
    {
        return wyBarRoleMenuMapper.updateWyBarRoleMenu(wyBarRoleMenu);
    }

    /**
     * 批量删除品牌方角色和菜单关联
     * 
     * @param roleIds 需要删除的品牌方角色和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteWyBarRoleMenuByRoleIds(Long[] roleIds)
    {
        return wyBarRoleMenuMapper.deleteWyBarRoleMenuByRoleIds(roleIds);
    }

    /**
     * 删除品牌方角色和菜单关联信息
     * 
     * @param roleId 品牌方角色和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteWyBarRoleMenuByRoleId(Long roleId)
    {
        return wyBarRoleMenuMapper.deleteWyBarRoleMenuByRoleId(roleId);
    }
}
